Skip to main content
GET
/
api
/
v1
/
agents
/
templates
/
{id}
/
Get agent template
curl --request GET \
  --url https://api.rezora.io/api/v1/agents/templates/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "template_key": "<string>",
  "system_prompt_template": "<string>",
  "placeholder_schema": "<unknown>",
  "agent_profile_defaults": "<unknown>",
  "llm_runtime_defaults": "<unknown>",
  "response_engine_type": "<string>",
  "is_active": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

200 - application/json
id
string<uuid>
required
read-only
name
string
required
read-only
description
string | null
required
read-only
template_key
string
required
read-only
system_prompt_template
string
required
read-only
placeholder_schema
any
required
agent_profile_defaults
any
required
llm_runtime_defaults
any
required
response_engine_type
string
required
read-only
is_active
boolean
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only